# $Id: 02_endecode.t,v 1.1 2005/12/09 10:47:46 pythontech Exp $
use strict;
use Test::More tests => 6;

use PythonTech::UriMap;

my $map = PythonTech::UriMap->new(map => {
    'a:' => 'http://a.com/',
    'b:' => 'http://b.org/schema#',
});

is($map->decode('a:c'), 'http://a.com/c', 'Simple decode');
is($map->decode('b:'), 'http://b.org/schema#', 'Exact match');
is($map->decode('c:d'), 'c:d', 'Unmatched');

is($map->encode('http://a.com/foo'), 'a:foo', 'Simple encode');
is($map->encode('http://b.org/schema#'), 'b:', 'Exact encode');
is($map->encode('http://c.net/bar'), 'http://c.net/bar', 'Unmatched decode');
